Skip to main content
GET
/
api2
/
v2
/
netRateSchemes
/
{netRateSchemeUid}
Get net rate scheme
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v2/netRateSchemes/{netRateSchemeUid} \
  --header 'Authorization: <api-key>'
{
  "id": 123,
  "uid": "<string>",
  "name": "<string>",
  "defaultScheme": true,
  "organization": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "workflowStepNetSchemes": [
    {
      "id": "<string>",
      "workflowStep": {
        "name": "<string>",
        "uid": "<string>",
        "id": "<string>",
        "order": 123,
        "lqaEnabled": true
      }
    }
  ],
  "workflowStepRates": [
    {
      "workflowStepId": 123,
      "rates": {
        "repetition": 123,
        "tm101": 123,
        "tm100": 123,
        "tm95": 123,
        "tm85": 123,
        "tm75": 123,
        "tm50": 123,
        "tm0": 123,
        "mt100": 123,
        "mt95": 123,
        "mt85": 123,
        "mt75": 123,
        "mt50": 123,
        "mt0": 123,
        "nt100": 123,
        "nt99": 123,
        "nt85": 123,
        "nt75": 123,
        "nt50": 123,
        "nt0": 123,
        "if100": 123,
        "if95": 123,
        "if85": 123,
        "if75": 123,
        "if50": 123,
        "if0": 123
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

netRateSchemeUid
string
required

Response

successful operation

id
integer<int64>
uid
string
name
string
defaultScheme
boolean
organization
object
dateCreated
string<date-time>
createdBy
object
workflowStepNetSchemes
object[]
workflowStepRates
object[]